#
# Conditional build:
%bcond_without	tests	# don't perform "make check"
#
Summary:	Hash library
Summary(pl.UTF-8):	Biblioteka funkcji mieszających (skrótu)
Summary(pt_BR.UTF-8):	Interface uniforme para vários algoritmos hash
Name:		mhash
Version:	0.9.9.9
Release:	5
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/mhash/%{name}-%{version}.tar.bz2
# Source0-md5:	f91c74f9ccab2b574a98be5bc31eb280
Patch0:		%{name}-shared.patch
Patch1:		use-after-free.patch
URL:		http://mhash.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mhash is a library which provides a uniform interface to a large
number of hash algorithms. These algorithms can be used to compute
checksums, message digests, and other signatures. The HMAC support
implements the basics for message authentication, following RFC 2104.

%description -l pl.UTF-8
Mhash to biblioteka dostarczająca jednolity interfejs do dużej liczby
algorytmów mieszających (skrótu). Te algorytmy mogą być używane do
liczenia sum kontrolnych, oznaczeń komunikatów oraz innych sygnatur.
Obsługa HMAC daje podstawy dla uwierzytelniania wiadomości, zgodnie z
RFC 2104.

%description -l pt_BR.UTF-8
A biblioteca mhash provê uma interface uniforme para um grande número
de algoritmos hash. Estes algoritmos podem ser utilizados para
computar checksums, digests de mensagens, e outras assinaturas. O
suporte a HMAC implementa o básico para autenticação de mensagens,
seguindo o RFC 2104. Nas versões mais recentes foram adicionados
alguns algoritmos de geração de chaves, que utilizam algoritmos hash.
A biblioteca suporta os algoritmos CRC32, MD5, SHA1, HAVAL256, TIGER,
RIPEMD260, GOST, CRC32B, HAVAL224, HAVAL192, HAVAL160, HAVAL128,
TIGER128, TIGER160, MD4, SHA256, and ADLER32.

%package devel
Summary:	Header files and development documentation for libmhash
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas de desarrollo
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libmhash
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para a biblioteca mhash
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libmhash.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libmhash.

%description devel -l pt_BR.UTF-8
Esse pacote contém arquivos de desenvolvimento para a biblioteca
mhash.

%package static
Summary:	Static version of libmhash
Summary(es.UTF-8):	bibliotecas estaticas mhash
Summary(pl.UTF-8):	Statyczna wersja biblioteki libmhash
Summary(pt_BR.UTF-8):	Bibliotecas estáticas do mhash para desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libmhash.

%description static -l pl.UTF-8
Statyczna wersja libmhash.

%description static -l pt_BR.UTF-8
Esse pacote contém arquivos de desenvolvimento estáticos para a
biblioteca mhash.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make}

%if %{with tests}
LD_LIBRARY_PATH=$(pwd)/lib/.libs; export LD_LIBRARY_PATH
%{__make} -j1 check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO doc/skid2-authentication
%attr(755,root,root) %{_libdir}/libmhash.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmhash.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmhash.so
%{_libdir}/libmhash.la
%{_includedir}/mhash.h
%{_includedir}/mutils
%{_mandir}/man3/mhash.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmhash.a
%changelog
* Tue Mar 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mhash.git;a=log;h=master

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> 92c5977
- fix bad coding in test
- rel 5

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> 276ce08
- tests do not like parallelization
- rel 4

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> d4397b7
- release 3 (by relup.sh)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> f446d71
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 25 2009 Jakub Bogusz <qboosh@pld-linux.org> c3ad76d
- ghost soname symlink, more verbose files
- ac version
- LGPL version

* Sun Jan 25 2009 Jakub Bogusz <qboosh@pld-linux.org> 663c4d8
- outdated

* Sun Jan 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f873ef3
- up to 0.9.9.9

* Fri Jun 29 2007 tommat <tommat@pld-linux.org> 5d810da
- added mhash-shared.patch from opensuse
- added mhash-memalign.patch - fixing memory alignment problems on sparc

* Fri Jun 29 2007 tommat <tommat@pld-linux.org> f17bee7
- use fPIC for libraries - from opensuse

* Fri Jun 29 2007 tommat <tommat@pld-linux.org> ef3d849
- workaround for memory alignment on sparc

* Sat Apr 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 98549c3
- updated to 0.9.9

* Fri Feb 23 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 739380a
- up to 0.9.8.1

* Fri Feb 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> cb6225f
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a76b355
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2754f6b
- converted to UTF-8

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 69326d5
- updated to 0.9.7.1, removed obsolete malloc patch

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> f106a91
- seems obsolete

* Fri Apr 14 2006 radek <radek@pld-linux.org> 1134c4e
- release 2: added -malloc.patch

* Fri Apr 14 2006 radek <radek@pld-linux.org> 023ee36
- fixed _mhash_gen_key_s2k_simple (at least partially)

* Sat Mar 18 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d0eab9d
- merged upstream

